CREATE TABLE IF NOT EXISTS pdcm (
    pdcm_id BIGSERIAL PRIMARY KEY,
    satellite_id BIGINT NOT NULL,
    t TIMESTAMP NOT NULL,
    revolution BIGINT NOT NULL,
    x DOUBLE PRECISION,
    y DOUBLE PRECISION,
    z DOUBLE PRECISION,
    vx DOUBLE PRECISION,
    vy DOUBLE PRECISION,
    vz DOUBLE PRECISION
);

CREATE INDEX idx_pdcm_satellite_id ON pdcm(satellite_id);
CREATE INDEX idx_pdcm_t ON pdcm(t);
CREATE INDEX idx_pdcm_revolution ON pdcm(revolution);